Skip to content

getPurchaseOrderLines

READ

Get purchase order lines.

POST /api/v1/purchasing/getPurchaseOrderLines
curl -X POST '<your-host>/api/v1/purchasing/getPurchaseOrderLines' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "purchaseOrderId": "string"
  }'
Response
{
  "results": [
    {
      "accountId": "string",
      "accountName": "string",
      "assetId": "string",
      "assetName": "string",
      "assetReadableId": "string",
      "companyId": "string",
      "conversionFactor": 0,
      "costCenterId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "customFields": "…",
      "description": "string",
      "exchangeRate": 0,
      "extendedPrice": 0,
      "externalNotes": "…",
      "id": "string",
      "internalNotes": "…",
      "inventoryUnitOfMeasureCode": "string",
      "invoicedComplete": true,
      "itemDescription": "string",
      "itemId": "string",
      "itemName": "string",
      "itemReadableId": "string",
      "jobId": "string",
      "jobOperationDescription": "string",
      "jobOperationId": "string",
      "locationId": "string",
      "ownerId": "string",
      "promisedDate": "string",
      "purchaseOrderId": "string",
      "purchaseOrderLineType": "Fixed Asset",
      "purchaseQuantity": 0,
      "purchaseUnitOfMeasureCode": "string",
      "quantityInvoiced": 0,
      "quantityReceived": 0,
      "quantityShipped": 0,
      "quantityToInvoice": 0,
      "quantityToReceive": 0,
      "receivedComplete": true,
      "receivedDate": "string",
      "requiredDate": "string",
      "setupPrice": 0,
      "shippingCost": 0,
      "sortOrder": 0,
      "storageUnitId": "string",
      "supplierExtendedPrice": 0,
      "supplierPartId": "string",
      "supplierPartIdFromSupplier": "string",
      "supplierShippingCost": 0,
      "supplierTaxAmount": 0,
      "supplierUnitPrice": 0,
      "tags": [
        "string"
      ],
      "taxAmount": 0,
      "taxPercent": 0,
      "thumbnailPath": "string",
      "unitCost": 0,
      "unitPrice": 0,
      "updatedAt": "string",
      "updatedBy": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "purchaseOrderId": {
      "type": "string"
    }
  },
  "required": [
    "purchaseOrderId"
  ]
}